class_name Goal
extends PathNode

signal goal_reached


func _ready() -> void:
	add_to_group(GameConstants.GROUP_GOAL)


func _on_area_entered(area: Area2D) -> void:
	if area.is_in_group(GameConstants.GROUP_PLAYER):
		goal_reached.emit()
